%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           lybniz
Version:        1.3.2
Release:        5%{?dist}
Summary:        A function graph plotter

Group:          Applications/Engineering
License:        BSD
URL:            http://lybniz2.sourceforge.net/
Source0:        http://downloads.sourceforge.net/lybniz2/%{name}-%{version}.tar.gz
Source1:        lybniz-startup.sh
Patch0:         lybniz-exec-desktop.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
Requires:       python >= 2.4
Requires:       pygtk2 >= 2.6
BuildRequires:  python-devel
BuildRequires:  desktop-file-utils

%description
Lybniz is an easy to use mathematical function graph plotter using PyGTK.

%prep
%setup -q
%patch0 -p0

%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
# make dirs
install -d -m755 $RPM_BUILD_ROOT%{_datadir}/%{name}

# setup.py installs to /usr/bin/lybniz.py - Let's move it out of there and use
# a startup script instead
mv $RPM_BUILD_ROOT/%{_bindir}/lybniz.py $RPM_BUILD_ROOT%{_datadir}/%{name}

# startup script
install -m755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/lybniz

# redo desktop file
desktop-file-install --vendor fedora\
    --dir ${RPM_BUILD_ROOT}%{_datadir}/applications\
    --delete-original\
    ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop 

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING PKG-INFO README
%{python_sitelib}/lybniz*
%{_datadir}/%{name}/
%{_bindir}/*
%{_datadir}/pixmaps/*%{name}*
%{_datadir}/applications/fedora-*.desktop
%{_datadir}/gnome/help/%{name}/


%changelog
* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.3.2-3
- Rebuild for Python 2.6

* Wed Oct 1 2008 Stewart Adam <s.adam at diffingo.com> 1.3.2-2
- Update .desktop patch for FTBFS (bz#464956)

* Wed Feb 6 2008 Stewart Adam <s.adam at diffingo.com> 1.3.2-1
- Update to version 1.3.2 (Fixes bz#431775)
- Package egg-info file

* Sat Nov 24 2007 Stewart Adam <s.adam at diffingo.com> 1.3.1-1
- Update to version 1.3.1

* Fri Sep 28 2007 Stewart Adam <s.adam at diffingo.com> 1.3-5
- Fix changelog version

* Fri Sep 28 2007 Stewart Adam <s.adam at diffingo.com> 1.3-4
- Directory ownership...

* Thu Sep 27 2007 Stewart Adam <s.adam at diffingo.com> 1.3-3
- Add patch to fix Exec field in desktop file

* Thu Sep 27 2007 Stewart Adam <s.adam at diffingo.com> 1.3-2
- Change Source0 to proper URL
- Fix perms on lybniz-startup.sh
- Why CFLAGS? Gone.
- Use --delete-original and drop rm for the .desktop file

* Tue Sep 25 2007 Stewart Adam <s.adam at diffingo.com> 1.3-1
- Initial Release
